/*
 * Copyright (c) 京北方信息技术股份有限公司 Corporation 2021 . All rights reserved.
 *
 */
package net.northking.cctp.common.db.excel;

/**
 * Excel表格头部定义
 *
 * @author : xiusong.xie
 * @version : 1.0
 */
public class ExcelHeader
{
  private String title;
  private String name;
  private Class<?> type;

  public ExcelHeader(String title, String name, Class<?> type)
  {
    this.title = title;
    this.name = name;
    this.type = type;
  }

  public String getTitle()
  {
    return title;
  }

  public void setTitle(String title)
  {
    this.title = title;
  }

  public String getName()
  {
    return name;
  }

  public void setName(String name)
  {
    this.name = name;
  }

  public Class<?> getType()
  {

    return type;
  }

  public void setType(Class<?> type)
  {
    this.type = type;
  }

  @Override
  public String toString()
  {
    return "ExcelHeader{" +
        "title='" + title + '\'' +
        ", name='" + name + '\'' +
        ", type=" + type +
        '}';
  }
}
